summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-12-04 22:58:59 +0100
committerJohannes Huber <johu@gentoo.org>2016-12-05 09:36:10 +0100
commit919da144ca755daa1e9784ca7ddca2910bbaa736 (patch)
tree806572b693faac10d92cfd2fad513a0b1ab79fbc /dev-vcs/kdesvn
parentnet-im/prosody-0.9.11-r0: stable on amd64 (diff)
downloadgentoo-919da144ca755daa1e9784ca7ddca2910bbaa736.tar.gz
gentoo-919da144ca755daa1e9784ca7ddca2910bbaa736.tar.bz2
gentoo-919da144ca755daa1e9784ca7ddca2910bbaa736.zip
dev-vcs/kdesvn: Version bump 2.0.0
Closes #3012 Package-Manager: portage-2.3.0 Signed-off-by: Johannes Huber <johu@gentoo.org>
Diffstat (limited to 'dev-vcs/kdesvn')
-rw-r--r--dev-vcs/kdesvn/Manifest1
-rw-r--r--dev-vcs/kdesvn/files/kdesvn-2.0.0-desktop.patch21
-rw-r--r--dev-vcs/kdesvn/kdesvn-2.0.0.ebuild63
-rw-r--r--dev-vcs/kdesvn/metadata.xml3
4 files changed, 88 insertions, 0 deletions
diff --git a/dev-vcs/kdesvn/Manifest b/dev-vcs/kdesvn/Manifest
index da15a4175a6..a3a35581752 100644
--- a/dev-vcs/kdesvn/Manifest
+++ b/dev-vcs/kdesvn/Manifest
@@ -1,2 +1,3 @@
DIST kdesvn-1.6.0.tar.bz2 1863823 SHA256 05686f246b76810f90a9f80f1d45cdccf812b42e18fa10a16b14e7d27d370f96 SHA512 e8ac9a55a8003e5cf724fc49281355fa0b6926ed2c984cece3f3fa076bac03ad1e9f1ab0e258d91e547f8cb542a739e0933e57f64bc0b9fa06417a4bcc5ae8cd WHIRLPOOL 13921530f77db3b4b30a7cfef86468d9c4f94d900017b3747f81114b83c0dbc22a84cb63c76cefe51ef5a6823e0c8ceac31de77bc8279897b679608ea4c2b43f
DIST kdesvn-1.7.0.tar.xz 1965064 SHA256 b3a9dc01e1730c880478aecd5c8d832a4b218468f791083985d325c0ef8a6ece SHA512 587e1f65af7fa0bf16c3b1892b155e588546e4229b7499d9c31abdbf22369fecde439805e7c32370b8f648a6f42f38293dc2fc67c7a7d605920afeebf4ad2db3 WHIRLPOOL 17dedce0941e486496718fa04f8e4bfb46d85d5fa9ef7da11244594291e2802aeebf610654e126a6e2a619a5aebdf91fec09011a05094e9d32d4c32d1350af01
+DIST kdesvn-2.0.0.tar.xz 2014660 SHA256 d58d3a895461633718dad580d1590fe99c9d6e44ca64544784a0e9421eb8f8db SHA512 1c0a6f02ef21fd8f9258a40ea2efba0f3775ae4a3c5b5f137dfaa658940472c3b0f98b6331c96bf7013af712d43ae6092fbee28e0f41688a62fa60dd194d3db2 WHIRLPOOL ebd26101e8779c047f186c408b5694647a07f565d295e6f1a1cfcf118c2fdfeb19298fb254928061c51ce8a4be7d5d651ea2c4021bf19fdcbd011bd109160a70
diff --git a/dev-vcs/kdesvn/files/kdesvn-2.0.0-desktop.patch b/dev-vcs/kdesvn/files/kdesvn-2.0.0-desktop.patch
new file mode 100644
index 00000000000..d6427c57f91
--- /dev/null
+++ b/dev-vcs/kdesvn/files/kdesvn-2.0.0-desktop.patch
@@ -0,0 +1,21 @@
+commit 5ea40285741a885198a351bd9afe58ff746a1192
+Author: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
+Date: Sun Dec 4 23:26:07 2016 +0100
+
+ Fix startup: s/caption/qwindowtitle/
+
+ REVIEW: 129614
+
+diff --git a/src/org.kde.kdesvn.desktop b/src/org.kde.kdesvn.desktop
+index 0fbac0d..5455338 100644
+--- a/src/org.kde.kdesvn.desktop
++++ b/src/org.kde.kdesvn.desktop
+@@ -49,7 +49,7 @@ GenericName[sl]=Odjemalec za SVN
+ GenericName[sv]=SVN-klient
+ GenericName[uk]=Клієнт SVN
+ GenericName[x-test]=xxSVN Clientxx
+-Exec=kdesvn -caption "%c" %u
++Exec=kdesvn -qwindowtitle "%c" %u
+ Icon=kdesvn
+ Type=Application
+ X-DocPath=kdesvn/index.html
diff --git a/dev-vcs/kdesvn/kdesvn-2.0.0.ebuild b/dev-vcs/kdesvn/kdesvn-2.0.0.ebuild
new file mode 100644
index 00000000000..03be555a845
--- /dev/null
+++ b/dev-vcs/kdesvn/kdesvn-2.0.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="3.1.0"
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="A frontend to the subversion vcs"
+HOMEPAGE="http://kdesvn.alwins-world.de/ https://cgit.kde.org/kdesvn.git/"
+if [[ ${PV} != 9999* ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.xz"
+fi
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="+man"
+
+DEPEND="
+ $(add_frameworks_dep kbookmarks)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql 'sqlite')
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ dev-libs/apr:1
+ dev-libs/apr-util:1
+ dev-vcs/subversion
+"
+RDEPEND="${DEPEND}
+ !dev-vcs/kdesvn:4
+ !kde-apps/kdesdk-kioslaves:4[subversion(+)]
+"
+
+PATCHES=( "${FILESDIR}/${P}-desktop.patch" )
+
+src_prepare(){
+ kde5_src_prepare
+
+ if ! use man ; then
+ sed -i -e "/kdoctools_create_manpage/ s/^/#/" doc/CMakeLists.txt || die
+ fi
+}
diff --git a/dev-vcs/kdesvn/metadata.xml b/dev-vcs/kdesvn/metadata.xml
index 2fdbf33d963..ac7f14a78a1 100644
--- a/dev-vcs/kdesvn/metadata.xml
+++ b/dev-vcs/kdesvn/metadata.xml
@@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
+ <use>
+ <flag name="man">Build and install man pages</flag>
+ </use>
</pkgmetadata>